﻿@model Contabilidad.Site.Models.PeopleData.People.PeopleCreateViewModel
@{
    ViewData["Title"] = @Contabilidad.Resources.CommonResources.Create;
}
<div class="row clearfix">
    <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
        <div class="x_panel">
            <div class="x_title">
                <h2>@Contabilidad.Resources.CommonResources.Create @Contabilidad.Resources.Models.People.People.People.modelName</h2>
                <div class="clearfix"></div>
            </div>
            <div class="x_content">
                <form method="post" enctype="multipart/form-data">
                    @if (ViewData.ModelState[string.Empty]?.Errors?.Any() == true)
                    {
                        <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                            <div class="card">
                                <div class="body bg-red">
                                    <div asp-validation-summary="ModelOnly"></div>
                                </div>
                            </div>
                        </div>
                    }

                    <label asp-for="Identity">@Html.DisplayNameFor(Model => Model.Identity)</label>
                    <div class="form-group">
                        <div class="form-line">
                            <input asp-for="Identity" class="form-control" />
                        </div>
                        <ul class="parsley-errors-list filled">
                            <li>
                                <span asp-validation-for="Identity"></span>
                            </li>
                        </ul>
                    </div>

                    <label asp-for="FirstName">@Html.DisplayNameFor(Model => Model.FirstName)</label>
                    <div class="form-group">
                        <div class="form-line">
                            <input asp-for="FirstName" class="form-control" />
                        </div>
                        <ul class="parsley-errors-list filled">
                            <li>
                                <span asp-validation-for="FirstName"></span>
                            </li>
                        </ul>
                    </div>

                    <label asp-for="SecondName">@Html.DisplayNameFor(Model => Model.SecondName)</label>
                    <div class="form-group">
                        <div class="form-line">
                            <input asp-for="SecondName" class="form-control" />
                        </div>
                        <ul class="parsley-errors-list filled">
                            <li>
                                <span asp-validation-for="SecondName"></span>
                            </li>
                        </ul>
                    </div>

                    <label asp-for="MiddleName">@Html.DisplayNameFor(Model => Model.MiddleName)</label>
                    <div class="form-group">
                        <div class="form-line">
                            <input asp-for="MiddleName" class="form-control" />
                        </div>
                        <ul class="parsley-errors-list filled">
                            <li>
                                <span asp-validation-for="MiddleName"></span>
                            </li>
                        </ul>
                    </div>

                    <label asp-for="LastName">@Html.DisplayNameFor(Model => Model.LastName)</label>
                    <div class="form-group">
                        <div class="form-line">
                            <input asp-for="LastName" class="form-control" />
                        </div>
                        <ul class="parsley-errors-list filled">
                            <li>
                                <span asp-validation-for="LastName"></span>
                            </li>
                        </ul>
                    </div>

                    <label asp-for="BirthDate">@Html.DisplayNameFor(Model => Model.BirthDate)</label>
                    <div class="form-group">
                        <div class="form-line">
                            <input asp-for="BirthDate" type="date" class="form-control" />
                        </div>
                        <ul class="parsley-errors-list filled">
                            <li>
                                <span asp-validation-for="BirthDate"></span>
                            </li>
                        </ul>
                    </div>

                    <div class="form-group">
                        <label asp-for="CivilStatusId">@Html.DisplayNameFor(Model => Model.CivilStatusId)</label>
                        <div class="form-line">
                            <select class="form-control selectpicker" title="@Html.DisplayNameFor(Model => Model.CivilStatuses)" asp-for="CivilStatusId" data-live-search="true" asp-items="@(new SelectList(Model.CivilStatuses,"Id","Value"))"></select>
                        </div>
                        <ul class="parsley-errors-list filled">
                            <li>
                                <span asp-validation-for="CivilStatusId"></span>
                            </li>
                        </ul>
                    </div>

                    <div class="form-group">
                        <label asp-for="SexTypeId">@Html.DisplayNameFor(Model => Model.SexTypeId)</label>
                        <div class="form-line">
                            <select class="form-control selectpicker" title="@Html.DisplayNameFor(Model => Model.SexTypes)" asp-for="SexTypeId" data-live-search="true" asp-items="@(new SelectList(Model.SexTypes,"Id","Value"))"></select>
                        </div>
                        <ul class="parsley-errors-list filled">
                            <li>
                                <span asp-validation-for="SexTypeId"></span>
                            </li>
                        </ul>
                    </div>

                    <div class="form-group">
                        <label asp-for="EducationLevelId">@Html.DisplayNameFor(Model => Model.EducationLevelId)</label>
                        <div class="form-line">
                            <select class="form-control selectpicker" title="@Html.DisplayNameFor(Model => Model.EducationLevels)" asp-for="EducationLevelId" data-live-search="true" asp-items="@(new SelectList(Model.EducationLevels,"Id","Value"))"></select>
                        </div>
                        <ul class="parsley-errors-list filled">
                            <li>
                                <span asp-validation-for="EducationLevelId"></span>
                            </li>
                        </ul>
                    </div>

                    <div align="right">
                        <a href="#confirm" class="btn btn-primary waves-effect" data-toggle="modal" data-target="#confirm">@Contabilidad.Resources.CommonResources.SaveChanges</a>
                    </div>
                    <div class="modal fade" id="confirm" tabindex="-1" role="dialog">
                        <div class="modal-dialog" role="document">
                            <div class="modal-content">
                                <div class="modal-header">
                                    <h4 class="modal-title" id="defaultModalLabel">@Contabilidad.Resources.CommonResources.Create @Contabilidad.Resources.Models.People.People.People.modelName</h4>
                                </div>
                                <div class="modal-body">
                                    @Contabilidad.Resources.Models.People.People.People.CreateMessage
                                </div>
                                <div class="modal-footer">
                                    <input type="submit" id="submitbutton" value="@Contabilidad.Resources.CommonResources.SaveChanges" data-disableonclick="true" class="btn btn-primary waves-effect" />
                                    <button type="button" class="btn btn-default waves-effect" data-dismiss="modal">@Contabilidad.Resources.CommonResources.Cancel</button>
                                </div>
                            </div>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>

@section scripts{
    <script type="text/javascript">

        $(".custom-file-input").on("change", function () {
            var fileName = $(this).val().split("\\").pop();
            $(this).siblings(".custom-file-label").addClass("selected").html(fileName);
        });
    </script>
}  